Package ghidra.app.util.viewer.field

# Class FileOffsetFieldFactory

java.lang.Object
ghidra.app.util.viewer.field.FieldFactory
ghidra.app.util.viewer.field.AbstractOffsetFieldFactory
ghidra.app.util.viewer.field.FileOffsetFieldFactory

All Implemented Interfaces:
  `ExtensionPoint`

public class FileOffsetFieldFactory extends AbstractOffsetFieldFactory
Generates Function Offset fields

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.viewer.field.AbstractOffsetFieldFactory

  `COLOR, fieldName, groupTitle, showName, useHex`

  ### Fields inherited from class ghidra.app.util.viewer.field.FieldFactory

  `BASE_LISTING_FONT_ID, baseFont, colorOptionName, enabled, FONT_OPTION_NAME, hlProvider, model, name, startX, style, styleOptionName, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileOffsetFieldFactory()`
  Creates a new default `FileOffsetFieldFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffsetFieldType`
  `getOffsetFieldType()`
  Gets the `offset type`
  `String`
  `getOffsetValue(CodeUnit cu)`
  Gets the offset value
  `FieldFactory`
  `newInstance(FieldFormatModel formatModel, ListingHighlightProvider highlightProvider, ToolOptions options, ToolOptions fieldOptions)`
  Returns a new instance of this FieldFactory that can be used to generate fields instead of being used as a prototype.

  ### Methods inherited from class ghidra.app.util.viewer.field.AbstractOffsetFieldFactory

  `acceptsType, fieldOptionsChanged, getField, getFieldLocation, getProgramLocation`

  ### Methods inherited from class ghidra.app.util.viewer.field.FieldFactory

  `displayOptionsChanged, getFieldModel, getFieldName, getFieldText, getMetrics, getMetrics, getStartX, getWidth, hasSamePath, initDisplayOptions, initFieldOptions, isEnabled, servicesChanged, setEnabled, setStartX, setWidth, simplifyTemplates, supportsLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileOffsetFieldFactory

    public FileOffsetFieldFactory()
    Creates a new default `FileOffsetFieldFactory`

- ## Method Details

  - ### newInstance

    public FieldFactory newInstance(FieldFormatModel formatModel, ListingHighlightProvider highlightProvider, ToolOptions options, ToolOptions fieldOptions)
    Description copied from class: `FieldFactory`
    Returns a new instance of this FieldFactory that can be used to generate fields instead of being used as a prototype.
    Specified by:
      `newInstance` in class `FieldFactory`
    Parameters:
      `formatModel` - the model that the field belongs to.
      `highlightProvider` - the HightLightProvider.
      `options` - the Options for display properties.
      `fieldOptions` - the Options for field specific properties.
    Returns:
      the factory

  - ### getOffsetValue

    public String getOffsetValue(CodeUnit cu)
    Description copied from class: `AbstractOffsetFieldFactory`
    Gets the offset value
    Specified by:
      `getOffsetValue` in class `AbstractOffsetFieldFactory`
    Parameters:
      `cu` - The `CodeUnit`
    Returns:
      The offset value

  - ### getOffsetFieldType

    public OffsetFieldType getOffsetFieldType()
    Description copied from class: `AbstractOffsetFieldFactory`
    Gets the `offset type`
    Specified by:
      `getOffsetFieldType` in class `AbstractOffsetFieldFactory`
    Returns:
      the `offset type`